용어집 용어 중복

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/glossary-terms-repeated입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

각 용어는 요청당 한 번만 포함할 수 있습니다. 중복된 용어: "<text>" (<locale>).

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로, 클라이언트에서 자체 문구로 바꿔 표시할 수 있습니다.

필드유형
idsstring[]
termsobject[]
terms[].localestring
terms[].textstring

예시#

json
{
  "detail": "Each term can appear only once per request. Repeated: \"<text>\" (<locale>).",
  "ids": [
    "ids_1"
  ],
  "terms": [
    {
      "locale": "<locale>",
      "text": "<text>"
    }
  ],
  "type": "https://lingo.dev/docs/api/errors/glossary-terms-repeated",
  "status": 422,
  "title": "Glossary terms repeated"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/glossaries/{glossaryId}/terms/create-many
  • POST /v2/glossaries/{glossaryId}/terms/delete-many
  • POST /v2/glossaries/{glossaryId}/terms/update-many